/*
 *  Vazaar
 *  file: callbacks.h
 *
 *
 *  Copyright (C) 2005 Tomás Vírseda <kaskaras@yahoo.es>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _CALLBACKS_H
#define _CALLBACKS_H
#include "vazaar.h"

void            
on_mainWin_delete_event			(	GtkWidget *, 
									Vazaar *);

void
on_mainWin_configure_event		(	GtkWidget *,
					   				GdkEventConfigure *,
					   				Vazaar *);

void
on_add_category_activate		(	GtkMenuItem * menuitem, gpointer user_data);

void
on_edit_category_activate		(	GtkMenuItem * menuitem, gpointer user_data);

void
on_delete_category_activate		(	GtkMenuItem * menuitem, gpointer user_data);

void
on_add_item_activate		(	GtkMenuItem * menuitem, gpointer user_data);

void
on_edit_item_activate		(	GtkMenuItem * menuitem, gpointer user_data);

void
on_delete_item_activate		(	GtkMenuItem * menuitem, gpointer user_data);

void
on_show_item_info_activate	(	GtkMenuItem * menuitem, gpointer user_data);

void
on_show_categories_panel_activate	(	GtkMenuItem * menuitem, gpointer user_data);

void            
on_save1_activate				(	GtkMenuItem *,
				  					gpointer);

void            
gtk_main_quit22					(	GtkMenuItem *,
									gpointer);

void
on_cut1_activate				(	GtkMenuItem *,
				 					gpointer);

void
on_copy1_activate				(	GtkMenuItem *,
				  					gpointer);

void            
on_paste1_activate				(	GtkMenuItem *,
				   					gpointer);

void
on_clear1_activate				(	GtkMenuItem *,
				   					gpointer);

void
on_properties1_activate			(	GtkMenuItem *,
									gpointer);

void
on_preferences1_activate		(	GtkMenuItem *,
					 				gpointer);


void            
on_about_activate				(	GtkMenuItem *, 
									Vazaar *);

void            
on_tgbViewCat_toggled			(	GtkWidget *, 
									Vazaar *);

void
on_tgbViewCat_clicked			(	GtkToolButton *,
				      				gpointer);

void
on_tlbAdditemB_clicked			(	GtkToolButton *,
				       				gpointer);

void
on_tgbFullscreen_toggled		(	GtkToggleToolButton *,
					 				gpointer);

void
on_tlbAddCat_clicked			(	GtkWidget *, 
									Vazaar *);

void 
on_trvVazaarCat_cursor_changed	(	GtkWidget *,
					       			Vazaar * app);
/*
void
on_trvVazaarCat_row_activated	(	GtkWidget *,
				       			Vazaar *);
*/

void
on_toggle_categorie				(	GtkCellRendererToggle *, 
									gchar *,
				    				gpointer);

void
on_winAddCat_configure_event	(	GtkWidget *,
								     gpointer);

void
on_tlbItemAdd_clicked			(	GtkWidget *, 
									Vazaar *);
									
void
on_tlbItemEdit_clicked			(	GtkWidget *,
									Vazaar *);
									
void
on_tlbItemDel_clicked			(	GtkWidget *, 
									Vazaar *);
void
on_tgbItemInfo_toggled			(	GtkWidget *,
									Vazaar *);

void            
on_tlbEditCat_clicked			(	GtkWidget *, 
									Vazaar *);
									
void
on_tlbDelCat_clicked			(	GtkWidget *, 
									Vazaar *);

void
on_tlbExpCat_clicked			(	GtkWidget *, 
									Vazaar *);

void
on_tlbColCat_clicked			(	GtkWidget *, 
									Vazaar *);
    

void
vazaar_gui_treeitem_row_changed	(	GtkWidget *, 
									Vazaar *);
#endif
